

def parse_kernel_cmdline():
    """Parse the kernel arguments to obtain configuration parameters in Oglive

    OpenGnsys passes data in the kernel arguments, for example:
        [...] group=Aula_virtual ogrepo=192.168.2.1 oglive=192.168.2.1 [...]

    Returns:
        dict: Dict of configuration parameters and their values.
    """
    params = {}

    with open("/proc/cmdline", encoding='utf-8') as cmdline:
        line = cmdline.readline()
        parts = line.split()
        for part in parts:
            if "=" in part:
                key, value = part.split("=")
                params[key] = value

    return params